Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
MathVectorBase Class Referenceabstract

Base class for vector class(es) More...

`#include <yatemath.h>`

Inheritance diagram for MathVectorBase:

## Public Member Functions
virtual | ~MathVectorBase ()
virtual unsigned int | vectorSize () const =0
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

Base class for vector class(es)

Base class for vector class(es). Its purpose is to offer a common interface when processing lists

## Constructor & Destructor Documentation

virtual ~MathVectorBase | ( |  | ) |
| inline virtual

Destructor. Does nothing, keeps the compiler satisfied

## Member Function Documentation

virtual unsigned int vectorSize | ( |  | ) | const
| pure virtual

Retrieve vector size in bytes

Returns
  Vector size in bytes

Implemented in SliceVector< Obj >.

The documentation for this class was generated from the following file:

- yatemath.h